import React from 'react'
import SvgIcon, { SvgIconProps } from '@mui/material/SvgIcon'

const HeartFailureIcon: React.FC<SvgIconProps> = (props) => {
  return (
    <SvgIcon viewBox={'-20 0 511 512'} {...props}>
      <path d="m341.832031 405.332031h-74.664062c-5.890625 0-10.667969 4.769531-10.667969 10.667969v74.667969h-234.667969v-469.335938h320v128h21.335938v-128c0-11.765625-9.570313-21.332031-21.335938-21.332031h-320c-11.765625 0-21.332031 9.566406-21.332031 21.332031v469.335938c0 11.765625 9.566406 21.332031 21.332031 21.332031h277.335938c2.824219 0 5.546875-1.121094 7.539062-3.125l53.335938-53.332031c2.003906-1.996094 3.125-4.707031 3.125-7.542969v-117.332031h-21.335938zm0 38.253907-47.082031 47.082031h-16.917969v-64h64zm0 0" />
      <path d="m299.167969 192v-96c0-5.898438-4.78125-10.667969-10.667969-10.667969h-213.332031c-5.890625 0-10.667969 4.769531-10.667969 10.667969v128c0 5.898438 4.777344 10.667969 10.667969 10.667969h181.332031v-21.335938h-170.667969v-106.664062h192v85.332031zm0 0" />
      <path d="m64.5 277.332031h106.667969v21.335938h-106.667969zm0 0" />
      <path d="m192.5 277.332031h21.332031v21.335938h-21.332031zm0 0" />
      <path d="m64.5 341.332031h64v21.335938h-64zm0 0" />
      <path d="m149.832031 341.332031h106.667969v21.335938h-106.667969zm0 0" />
      <path d="m64.5 405.332031h106.667969v21.335938h-106.667969zm0 0" />
      <path d="m192.5 405.332031h42.667969v21.335938h-42.667969zm0 0" />
      <path d="m461.214844 151.703125-15.082032-15.085937c-12.480468-12.480469-32.78125-12.488282-45.257812 0l-30.175781 30.167968-75.425781 75.421875c-.097657.097657-.128907.234375-.222657.34375-.757812.820313-1.378906 1.746094-1.847656 2.78125-.105469.226563-.234375.429688-.320313.664063-.050781.136718-.136718.242187-.179687.382812l-22.636719 67.882813c-1.277344 3.828125-.277344 8.0625 2.582032 10.910156 2.027343 2.027344 4.757812 3.125 7.542968 3.125 1.128906 0 2.261719-.179687 3.371094-.554687l67.882812-22.621094c.148438-.054688.277344-.152344.425782-.203125.253906-.097657.46875-.234375.714844-.34375.992187-.46875 1.886718-1.054688 2.667968-1.78125.105469-.09375.253906-.136719.359375-.234375l75.425781-75.421875 30.175782-30.167969c12.480468-12.488281 12.480468-32.789062 0-45.265625zm-153.726563 117.800781 10.417969 10.421875 10.421875 10.421875-31.273437 10.421875zm40.597657 10.421875-15.085938-15.082031-15.082031-15.09375 60.34375-60.34375 15.082031 15.085938 15.082031 15.09375zm98.046874-98.046875-22.636718 22.621094-15.082032-15.082031-15.082031-15.09375 22.632813-22.621094c4.160156-4.160156 10.933594-4.183594 15.09375 0l15.085937 15.082031c4.148438 4.148438 4.148438 10.933594-.011719 15.09375zm0 0" />
    </SvgIcon>
  )
}

export default HeartFailureIcon
